summaryrefslogtreecommitdiff
path: root/source4/script/tests/test_ejs.sh
diff options
context:
space:
mode:
authorAndrew Bartlett <abartlet@samba.org>2006-07-10 11:24:46 +0000
committerGerald (Jerry) Carter <jerry@samba.org>2007-10-10 14:09:59 -0500
commitbfc02627ceb02046fb23c62f28dc69765c8aa8f0 (patch)
treeb88d924b9be2adaf1e42b4d07cf3a08d6ff7aaaa /source4/script/tests/test_ejs.sh
parent41992489d2cb54b1a7158b49cc2c3a53cfd57b5a (diff)
downloadsamba-bfc02627ceb02046fb23c62f28dc69765c8aa8f0.tar.gz
samba-bfc02627ceb02046fb23c62f28dc69765c8aa8f0.tar.bz2
samba-bfc02627ceb02046fb23c62f28dc69765c8aa8f0.zip
r16914: Add more tests for the partition module.
Andrew Bartlett (This used to be commit 2728b60dfa50ded03e06f0bd53eee55fce5143bd)
Diffstat (limited to 'source4/script/tests/test_ejs.sh')
-rwxr-xr-xsource4/script/tests/test_ejs.sh4
1 files changed, 3 insertions, 1 deletions
diff --git a/source4/script/tests/test_ejs.sh b/source4/script/tests/test_ejs.sh
index 6df202122a..b4370b0384 100755
--- a/source4/script/tests/test_ejs.sh
+++ b/source4/script/tests/test_ejs.sh
@@ -20,12 +20,14 @@ SCRIPTDIR=../testprogs/ejs
PATH=bin:$PATH
export PATH
-for f in samr.js echo.js ldb.js; do
+for f in samr.js echo.js; do
testit "$f" $SCRIPTDIR/$f $CONFIGURATION ncalrpc: -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
done
testit "ejsnet.js" $SCRIPTDIR/ejsnet.js $CONFIGURATION -U$USERNAME%$PASSWORD $DOMAIN ejstestuser || failed=`expr $failed + 1`
+testit "ldb.js" $SCRIPTDIR/ldb.js `pwd` $CONFIGURATION || failed=`expr $failed + 1`
+
testit "winreg" scripting/bin/winreg $CONFIGURATION ncalrpc: 'HKLM' -U$USERNAME%$PASSWORD || failed=`expr $failed + 1`
testok $0 $failed